/**
  *  \file client/labels.h
  *  \brief Object Label Expressions
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_LABELS_H
#define PCC_V2_CLIENT_LABELS_H

#include "cpluslib/string.h"

/** Label kind. Identifies the kind of object whose label we're talking about. */
enum LabelKind {
    ShipLabel,
    PlanetLabel
};

string_t getLabel(LabelKind kind, int id);
string_t getLabelExpr(LabelKind kind);
void     setLabelExpr(LabelKind kind, string_t expr);

extern const struct ModuleInitializer mod_labels[];

#endif
