/**
  *  \file game/ship-int.h
  *
  *  (c) 2001-2019 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_GAME_SHIP_INT_H
#define PCC_V2_GAME_SHIP_INT_H

#include "game/ship.h"
#include "game/struct.h"

enum { NUM_SHIP_TRACK_ENTRIES = 10 };

struct GShip::ShipInfo {
    // ShipHistory:
    TShip data;                  ///< Ship data.
    int16 time[2];               ///< Timestamps.

    // ShipTrack:
    int16 track_turn;
    TDbShipTrackEntry track[NUM_SHIP_TRACK_ENTRIES];

    // ShipTarget:
    int16 heading;

    ShipInfo(int id);

    void init(int id);
    void clear();
};

#endif
